Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGPointList.PointsListBuilder

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGPointList.PointsListBuilder

All Implemented Interfaces:
  PointsHandler

Enclosing class:
  AbstractSVGPointList

protected class AbstractSVGPointList.PointsListBuilder
extends java.lang.Object
implements PointsHandler

Helper class to interface the `PointsParser` and the `ListHandler`

Field Summary
`protected ListHandler` | `listHandler` list handler.

Constructor Summary
`AbstractSVGPointList.PointsListBuilder(ListHandler listHandler)`

Method Summary
`void` | `endPoints()` Invoked when the points attribute ends.
`void` | `point(float x, float y)` Create SVGPoint item and motifies the list handler is new item was created.
`void` | `startPoints()` Invoked when the points attribute starts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listHandler

    protected ListHandler listHandler

  list handler.

Constructor Detail

### AbstractSVGPointList.PointsListBuilder

    public AbstractSVGPointList.PointsListBuilder(ListHandler listHandler)

Method Detail

### startPoints

    public void startPoints()
                     throws ParseException

  Description copied from interface: `PointsHandler`
  Invoked when the points attribute starts.

  Specified by:
    `startPoints` in interface `PointsHandler`
  Throws:
    `ParseException` - if an error occured while processing the points

### point

    public void point(float x,
                      float y)
               throws ParseException

  Create SVGPoint item and motifies the list handler is new item was created.

  Specified by:
    `point` in interface `PointsHandler`
  Throws:
    `ParseException` - if an error occured while processing the points

### endPoints

    public void endPoints()
                   throws ParseException

  Description copied from interface: `PointsHandler`
  Invoked when the points attribute ends.

  Specified by:
    `endPoints` in interface `PointsHandler`
  Throws:
    `ParseException` - if an error occured while processing the points

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.